GrailsRequestStateLookupStrategy (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.web.servlet.mvc

## [Java] Interface GrailsRequestStateLookupStrategy

- Strategy interface for obtaining details about the currently executing request

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getActionName(java.lang.String controllerName)` The action name for the given controller name
    `` | `java.lang.String` | `getActionName()` The action name
    `` | `java.lang.String` | `getCharacterEncoding()` The character encoding of the request
    `` | `java.lang.String` | `getContextPath()` Obtains the context path to use from the request
    `` | `java.lang.String` | `getControllerName()` The controller name
    `` | `java.lang.String` | `getControllerNamespace()` The controller namespace
    `` | `java.lang.String` | `getHttpMethod()` @return The HTTP method
    `` | `GrailsWebRequest` | `getWebRequest()` @return the current request

- - ### Method Detail

    - #### public java.lang.String getActionName(java.lang.String controllerName)

      The action name for the given controller name

      Parameters:
        `controllerName` - The controller name
      Returns:
        The action name or null if not known

    - #### public java.lang.String getActionName()

      The action name

      Returns:
        The action name or null if not known

    - #### public java.lang.String getCharacterEncoding()

      The character encoding of the request

      Returns:
        The character encoding

    - #### public java.lang.String getContextPath()

      Obtains the context path to use from the request

      Returns:
        The context path

    - #### public java.lang.String getControllerName()

      The controller name

      Returns:
        The controller name or null if not known

    - #### public java.lang.String getControllerNamespace()

      The controller namespace

      Returns:
        The controller namespace or null if not known

    - #### public java.lang.String getHttpMethod()

      Returns:
        The HTTP method

    - #### public GrailsWebRequest getWebRequest()

      Returns:
        the current request